.twentytwenty-horizontal .twentytwenty-handle:before, .twentytwenty-horizontal .twentytwenty-handle:after, .twentytwenty-vertical .twentytwenty-handle:before, .twentytwenty-vertical .twentytwenty-handle:after {
  content: " ";
  display: block;
  /*background: white;  */
  position: absolute;
  z-index: 30;
  -webkit-box-shadow: 0px 0px 12px rgba(51, 51, 51, 0.5);
  -moz-box-shadow: 0px 0px 12px rgba(51, 51, 51, 0.5);
  box-shadow: 0px 0px 12px rgba(51, 51, 51, 0.5); }

.twentytwenty-horizontal .twentytwenty-handle:before, .twentytwenty-horizontal .twentytwenty-handle:after {
  width: 3px;
  height: 9999px;
  left: 0;
  margin-left: 0; }

.twentytwenty-vertical .twentytwenty-handle:before, .twentytwenty-vertical .twentytwenty-handle:after {
  width: 9999px;
  height: 3px;
  top: 50%;
  margin-top: -1.5px; }

.twentytwenty-before-label, .twentytwenty-after-label, .twentytwenty-overlay {
  position: absolute;
  top: 0;
  width: 100%;
  height: 100%; }

.twentytwenty-before-label, .twentytwenty-after-label, .twentytwenty-overlay {
  -webkit-transition-duration: 0.5s;
  -moz-transition-duration: 0.5s;
  transition-duration: 0.5s; }

.twentytwenty-before-label, .twentytwenty-after-label {
  -webkit-transition-property: opacity;
  -moz-transition-property: opacity;
  transition-property: opacity; }

.twentytwenty-before-label:before, .twentytwenty-after-label:before {
  color: white;
  font-size: 13px;
  letter-spacing: 0.1em; }

.twentytwenty-before-label:before, .twentytwenty-after-label:before {
  position: absolute;
  background: rgba(255, 255, 255, 0.2);
  line-height: 27px;
  padding: 0 15px;
  -webkit-border-radius: 2px;
  -moz-border-radius: 2px;
  border-radius: 2px; }

.twentytwenty-horizontal .twentytwenty-before-label:before, .twentytwenty-horizontal .twentytwenty-after-label:before {
  top: 0; background: #F5F5F5; color:#000; opacity: 0.8
}

.twentytwenty-vertical .twentytwenty-before-label:before, .twentytwenty-vertical .twentytwenty-after-label:before {
  left: 50%;
  margin-left: -45px;
  text-align: center;
  width: 90px; }

.twentytwenty-left-arrow, .twentytwenty-right-arrow, .twentytwenty-up-arrow, .twentytwenty-down-arrow {
  width: 0;
  height: 0;
  border: 6px inset transparent;
  position: absolute; }

.twentytwenty-left-arrow, .twentytwenty-right-arrow {
  top: 50%;
  margin-top: -6px; }

.twentytwenty-up-arrow, .twentytwenty-down-arrow {
  left: 50%;
  margin-left: -6px; }

.twentytwenty-container {
  -webkit-box-sizing: content-box;
  -moz-box-sizing: content-box;
  box-sizing: content-box;
  z-index: 0;
  overflow: hidden;
  position: relative;
  /*box-shadow: 0 5px 10px 0px rgb(134, 134, 134);*/
  -webkit-user-select: none;
  -moz-user-select: none; }
  .twentytwenty-container img {
    max-width: 100%;
    height:auto;
    position: absolute;
    top: 0;
    display: block; }
  .twentytwenty-container.active .twentytwenty-overlay, .twentytwenty-container.active :hover.twentytwenty-overlay {
    /*background: rgba(0, 0, 0, 0);*/
  }
    .twentytwenty-container.active .twentytwenty-overlay .twentytwenty-before-label,
    .twentytwenty-container.active .twentytwenty-overlay .twentytwenty-after-label, .twentytwenty-container.active :hover.twentytwenty-overlay .twentytwenty-before-label,
    .twentytwenty-container.active :hover.twentytwenty-overlay .twentytwenty-after-label {
      /*opacity: 0;*/ }
  .twentytwenty-container * {
    -webkit-box-sizing: content-box;
    -moz-box-sizing: content-box;
    box-sizing: content-box; }

.twentytwenty-before-label {opacity: 1; } /* поменял */
  

.twentytwenty-after-label { opacity: 1; } /* поменял */

/* подстановка текста */
.twentytwenty-before-label:before { content: "До"; }
.twentytwenty-after-label:before { content: "После"; }

.compare_photo.rakurs .twentytwenty-overlay .twentytwenty-before-label:before { content: "Ракурс1"; }
.compare_photo.rakurs .twentytwenty-overlay .twentytwenty-after-label:before { content: "Ракурс2"; }

.compare_photo.kont_par .twentytwenty-overlay .twentytwenty-before-label:before { content: "Контурный"; }
.compare_photo.kont_par .twentytwenty-overlay .twentytwenty-after-label:before { content: "Парящий"; }
/* //подстановка текста */  
  

.twentytwenty-horizontal .twentytwenty-before-label:before {border-radius: 0px; left: 5px; top: 5px;}

.twentytwenty-horizontal .twentytwenty-after-label:before {border-radius: 0px;right: 5px; top: 5px;}

.twentytwenty-vertical .twentytwenty-before-label:before {
  top: 10px; }

.twentytwenty-vertical .twentytwenty-after-label:before {
  bottom: 10px; }

.twentytwenty-overlay {
  -webkit-transition-property: background;
  -moz-transition-property: background;
  transition-property: background;
  background: rgba(0, 0, 0, 0);
  z-index: 25; }
  .twentytwenty-overlay:hover { /*background: rgba(0, 0, 0, 0.5);*/ }
    .twentytwenty-overlay:hover .twentytwenty-after-label { /*opacity: 0;*/ } /* поменял */
    .twentytwenty-overlay:hover .twentytwenty-before-label {  /*opacity: 0;*/ } /* поменял */

.twentytwenty-before {
  z-index: 20; }

.twentytwenty-after {
  z-index: 10; }

.twentytwenty-handle {
  position: absolute;
  left: 50%;
  top: 50%;
  transform:translate(-50%,-50%);
  width: 40px;
  height: 40px;
  /*background:url('../img/treygolnik.png') no-repeat;*/
  background:#fff;

  z-index: 40;
  cursor: pointer;
  /*border-left:2px solid #211E1E !important;*/
  /*border-left:2px solid #211E1E !important;
  border-right:2px solid #211E1E !important;  */

  border-radius:50%;}

.twentytwenty-horizontal .twentytwenty-handle:before {bottom: 50%; margin: 0 0 20px 0; transform:translate(2px,0);  border-left:2px solid #211E1E !important; }
.twentytwenty-horizontal .twentytwenty-handle:after { top: 50%; margin: 20px 0 0 0;transform:translate(2px,0); border-left:2px solid #211E1E !important; }




.twentytwenty-left-arrow { border-right: 6px solid #000; left:50%; margin-left:-17px; }

.twentytwenty-right-arrow { border-left: 6px solid #000; left:50%; margin-left:5px;}

/* дёрганье влево в право


.is-visible .twentytwenty-handle {animation: cd-bounce-in 0.7s;}
.is-visible .twentytwenty-before {animation: cd-bounce-in2 0.7s;}

@keyframes cd-bounce-in {
  0% {
    left: 20px;
  }
  60% {
    left: 220px;
  }
  100% {
    left: 120px;
  }
}

@keyframes cd-bounce-in2 {
  0% {
    clip: rect(auto, 20px, auto, auto);
  }
  60% {
    clip: rect(auto, 220px, auto, auto);
  }
  100% {
    clip: rect(auto, 120px, auto, auto);
  }
}

 дёрганье влево вправо*/
